import React from 'react'
import { Button, Collapse, Popconfirm } from 'antd'

const { Panel } = Collapse;

const Extra = (props) => (
  <>
    <Button type="link" size="small" onClick={props.onRename}>重命名</Button>
    <Popconfirm
      title="Are you sure delete this task?"
      onConfirm={props.onDelete}
    >
      <Button type="link" size="small" style={{color: 'red'}}>删除</Button>
    </Popconfirm>    
  </>
)

export default (props) => {

  return (
    <Collapse defaultActiveKey={['1']} expandIconPosition="right" style={{marginTop: '2em'}}>
      <Panel header="This is panel header 1" key="1" extra={<Extra />}>
        <div>123</div>
      </Panel>
      <Panel header="This is panel header 2" key="2" extra={<Extra />}>
        <div>456</div>
      </Panel>
    </Collapse>
  )
}
