import React, { useState } from 'react'
import { Button } from 'antd'
import Form from './Form'
import List from './List'

export default (props) => {
  const [visible, setVisible] = useState(false)

  return (
    <div>
      <div>
        <Button type="primary" onClick={() => setVisible(true)}>新增全景</Button>
      </div>
      <Form visible={visible} onCancel={() => setVisible(false)} />
      <List />
    </div>
  )
}
