import React, { useState, useEffect } from 'react';
import { Checkbox, Input, Card, Form, Button, Row, Col, Spin, message } from 'antd';
import { connect } from 'dva';
import XForm, { FieldTypes } from '@/components/XForm';
import request from '@/utils/request';
import router from 'umi/router';
import apis from '@/services/apis';

const { TextArea } = Input;

const Backcom=()=>{
  window.history.back(-1)
}
const Poster = props => {
  const { getFieldDecorator } = props.form;
  
  return (
    <Card>
      <div>
        <Form >
          <Form.Item label="类型名称">
            {getFieldDecorator('roleName', {})(<Input  style={{width:'500px'}} />)}

          </Form.Item>
            <Button  type="primary" htmlType="submit">
              保存
          </Button>
            <Button style={{marginLeft:'20px'}} onClick={Backcom} >
              取消
          </Button>
        </Form>
      </div>
    </Card>
  )
}
const WrappedNormalLoginForm = Form.create({ name: 'Poster' })(Poster);
export default connect(({ user }) => ({ user }))(WrappedNormalLoginForm);
