import React, { useMemo, useRef, useEffect, useState } from 'react';
// import { PageHeaderWrapper } from '@ant-design/pro-layout'
import { Button, notification, Spin, Modal, message, Card, Tabs } from 'antd';
import { router } from 'umi';
import QueryTable from '@/components/QueryTable';
import request from '@/utils/request';
import apis from '@/services/apis';
import Basic from './compents/Basic'
import Poster from './compents/Poster'
import Share from './compents/Share'
import SelectCity from '@/components/SelectButton/CitySelect';
import NewsTypeSelect from '../../../components/SelectButton/NewTypeSelect';
import BuildSelect from '@/components/SelectButton/BuildSelect';
import moment from 'moment';
import OperButton from '@/components/OperButton';
import AuthButton from '@/components/AuthButton';
import withActions from '@/components/ActionList';

const { TabPane } = Tabs;

export default props => {
    const newsId = props.location.query.newsId
//   const [dynamicData, setDynamicData] = useState({});

//   useEffect(() => {
//     if (newsId) {
//       getDynamicData(newsId);
//     }
//   }, [newsId]);

//   // 查询列表
//   const getDynamicData = newsId => {
//     request({ ...apis.news.get, urlData: { id: newsId } })
//       .then(data => {
//         setDynamicData(data);
//         setExtraData(data);
//         // detailVisible = data.newsDetailType == '1'
//         // urlVisible = data.newsDetailType == '0'
//       })
//       .catch(err => {
//         console.log(err);
//         message.info(err.msg || err.message);
//       });
//   };

  return (
    <Card>
      <Tabs defaultActiveKey="1">
        <TabPane tab="基本信息" key="1">
          {/* <div style={{ maxWidth: 1000 }}> */}
            <Basic newsId={newsId} />
          {/* </div> */}
        </TabPane>

        <TabPane tab="海报图片" key="2">
        <Poster newsId={newsId} />
        </TabPane>
        <TabPane tab="分享设置" key="3">
        <Share newsId={newsId} />
        </TabPane>
      </Tabs>
    </Card>
  );
};
